Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037108
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Y. DBSourceManagerminorhave not tried2017-10-18 12:562017-10-24 12:43
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3.1
StatusclosedFix in branchFixed in SCM revisionb80542e893da
ProjectionnoneETAnoneTarget Version3.0PR17Q3.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2017-04-26
Regression introduced in release3.0PR17Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/dbsm-main/rev/c6fa7da9db9bca6babcdb7e1f95accfb73ed1da8 [^]
Triggers an Emergency PackNo
Summary

0037108: Import.sample.data does not immediately stop when a file cannot be imported

DescriptionWhen import.sample.data is not able to import a particular file, the process should stop immediately stop, and the task should fail (see attached file properImportSampleData.log).

That was the behaviour before this changeset [1] was introduced. After that changeset was applied, an error is shown but the process keeps going, and will only fail if a foreign key cannot be satisfied (see attached file wrongImportSampleData.log).

[1] https://code.openbravo.com/erp/devel/dbsm-main/rev/c6fa7da9db9bca6babcdb7e1f95accfb73ed1da8 [^]
Steps To Reproduce- Break the XML syntax of referencedata/sampledata/F_B_International_Group/AD_TREENODE.xml by removing a </AD_TREENODE> tag
- Run install.source. The process should stop the moment the import of AD_TREENODE fails, but instead it keeps going and it ends with a build successful message.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0037103 closedAugustoMauch Import.sample.data does not immediately stop when a file cannot be imported 

-  Notes
(0099953)
hgbot (developer)
2017-10-19 10:20

Repository: erp/devel/dbsm-main
Changeset: a6b6565a165c27af6158283d705815f12043026c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Oct 19 09:40:51 2017 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/a6b6565a165c27af6158283d705815f12043026c [^]

Fixes issue 37108: import.sample.data fails if a file cannot be imported

If a file cannot be imported the import.sample.data process will stop immediately and will show log describing the problem.

To be able to catch the exceptions thrown in another thread, now the logic to import files is wrapped in a Callable instead of a Runnable.

---
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlDatabaseDataIO.java
M src/org/openbravo/ddlutils/task/ImportSampledata.java
---
(0099954)
hgbot (developer)
2017-10-19 10:33

Repository: erp/backports/3.0PR17Q3.1
Changeset: b80542e893dabd0c01111e9d5ac3210b7b55104b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Oct 19 10:20:46 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q3.1/rev/b80542e893dabd0c01111e9d5ac3210b7b55104b [^]

Fixes issue 37108: import.sample.data fails if a file cannot be imported

If a file cannot be imported the import.sample.data process will stop immediately and will show log describing the problem.

To be able to catch the exceptions thrown in another thread, now the logic to import files is wrapped in a Callable instead of a Runnable.

---
M src-db/database/lib/dbsourcemanager.jar
---
(0100021)
alostale (developer)
2017-10-24 12:43

reviewed + tested

- Issue History
Date Modified Username Field Change
2017-10-18 18:43 AugustoMauch Type defect => backport
2017-10-18 18:43 AugustoMauch Target Version => 3.0PR17Q3.2
2017-10-19 09:54 AugustoMauch Target Version 3.0PR17Q3.2 => 3.0PR17Q3.1
2017-10-19 10:20 hgbot Checkin
2017-10-19 10:20 hgbot Note Added: 0099953
2017-10-19 10:20 hgbot Status scheduled => resolved
2017-10-19 10:20 hgbot Resolution open => fixed
2017-10-19 10:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/dbsm-main/rev/a6b6565a165c27af6158283d705815f12043026c [^]
2017-10-19 10:22 AugustoMauch Review Assigned To => alostale
2017-10-19 10:33 hgbot Checkin
2017-10-19 10:33 hgbot Note Added: 0099954
2017-10-19 10:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/dbsm-main/rev/a6b6565a165c27af6158283d705815f12043026c [^] => http://code.openbravo.com/erp/backports/3.0PR17Q3.1/rev/b80542e893dabd0c01111e9d5ac3210b7b55104b [^]
2017-10-24 12:43 alostale Note Added: 0100021
2017-10-24 12:43 alostale Status resolved => closed
2017-10-24 12:43 alostale Fixed in Version => 3.0PR17Q3.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker